package zero1hd.rhythmbullet.entity.enemies;

import java.util.HashMap;

import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.Sprite;
import com.badlogic.gdx.math.Rectangle;

import zero1hd.rhythmbullet.RhythmBullet;
import zero1hd.rhythmbullet.entity.Entity;
import zero1hd.rhythmbullet.entity.ally.PolyJetEntity;

public class Bar extends Entity {
	
	@Override
	public void preInit() {
		setSize(8f, 0.5f);
		sprite = new Sprite(assets.get("bar.png", Texture.class));
		enemy = true;
		super.preInit();
	}
	
	public void init(float x, float rate) {
		setPosition(x, RhythmBullet.GAME_AREA_HEIGHT);
		speed = rate;
		angle = 270;
	}
	
	@Override
	public void init(HashMap<String, Float> params) {
		setPosition(params.get("x"), RhythmBullet.GAME_AREA_HEIGHT);
		speed = params.get("rate");
		angle = 270;
		super.init(params);
	}
	
	@Override
	public void act(float delta) {
		hitbox.setPosition(getX(), getY());
		super.act(delta);
	}
	
	@Override
	public void reset() {
		super.reset();
	}

	@Override
	public void collided(Entity entity) {
		if (entity.getClass() == PolyJetEntity.class) {
			dead = true;
		}
	}

	@Override
	public Rectangle getHitZone() {
		return hitbox;
	}

}
